# This is a sample build configuration for C++ – Make.
# Check our guides at https://confluence.atlassian.com/x/5Q4SMw for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: 
    name: mbari/dorado-auv-build:v1
    username: $DOCKER_HUB_USERNAME
    password: $DOCKER_HUB_PASSWORD
    email: $DOCKER_HUB_EMAIL

pipelines:
  branches:
    master:
      - step:
          script:
            - echo "Deploy me here"
    testing:
      - step:
          script:
            - cd /workspace && ls -l
            - printenv
            - cd $AUV
            - git clone git@bitbucket.org:mbari/vn100.git
            - cd vn100
            - git checkout testing
            - make tests
    '*':
      - step:
          script:
            - cd /workspace && ls -l
            - printenv
            - cd $AUV
            - git clone git@bitbucket.org:mbari/vn100.git
            - cd vn100
            - echo $BITBUCKET_BRANCH
            - git checkout $BITBUCKET_BRANCH
            - make tests
